import java.util.Random;

class RandomVector
{
	private int dimension = 3;
	private int[] values;
	
	RandomVector()
	{
		Random rndGenerator = new Random();
		values = new int[dimension];
		for (int i = 0; i < dimension; i ++){
			values[i] = 1+rndGenerator.nextInt(10); // nextInt(10) generates a random integer between 0 and 9.
		}
	}
	
	RandomVector(int dimension)
	{
		this.dimension = dimension;
		values = new int[dimension];
		// this part could be made into an auxiliary private function
		Random rndGenerator = new Random();
		for (int i = 0; i < dimension; i ++){
			values[i] = 1+rndGenerator.nextInt(10); // nextInt(10) generates a random integer between 0 and 9.
		}
	}
	
	public void add(RandomVector other){
		if (this.dimension != other.dimension){
			return;
		}
		for (int i = 0; i < dimension; i ++){
			this.values[i] += other.values[i];
		}
	}
	
	public void print(){
		System.out.print("( ");
		for (int i = 0; i < dimension; i ++){
			System.out.print(values[i] + " ");
		}
		System.out.println(")");
	}
}

class VectorTest
{
	public static void main(String[] args){
		RandomVector vector1 = new RandomVector(3);
		RandomVector vector2 = new RandomVector(3);
		vector1.print();
		vector2.print();
		vector1.add(vector2);
		vector1.print();
	}
}